{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit WebForm1;

interface

uses
  System.Collections, System.ComponentModel,
  System.Data, System.Drawing, System.Web, System.Web.SessionState,
  System.Web.UI, System.Web.UI.WebControls, System.Web.UI.HtmlControls, 
  Borland.Data.Common, Borland.Data.Provider, System.Globalization, Borland.Data.Web, 
  System.Data.Common;

type
  TWebForm1 = class(System.Web.UI.Page)
  {$REGION 'Designer Managed Code'}
  strict private
    procedure InitializeComponent;
    procedure DBWebDataSource1_OnAfterSetChanges(sender: System.Object; e: Borland.Data.Web.WebControlEventArgs);
  {$ENDREGION}
  strict private
    procedure Page_Load(sender: System.Object; e: System.EventArgs);
  strict protected
    BdpConnection1: Borland.Data.Provider.BdpConnection;
    bdpSelectCommand1: Borland.Data.Provider.BdpCommand;
    bdpInsertCommand1: Borland.Data.Provider.BdpCommand;
    bdpUpdateCommand1: Borland.Data.Provider.BdpCommand;
    bdpDeleteCommand1: Borland.Data.Provider.BdpCommand;
    BdpDataAdapter1: Borland.Data.Provider.BdpDataAdapter;
    bdpSelectCommand2: Borland.Data.Provider.BdpCommand;
    bdpInsertCommand2: Borland.Data.Provider.BdpCommand;
    bdpUpdateCommand2: Borland.Data.Provider.BdpCommand;
    bdpDeleteCommand2: Borland.Data.Provider.BdpCommand;
    BdpDataAdapter2: Borland.Data.Provider.BdpDataAdapter;
    dataSet1: System.Data.DataSet;
    DataTable1: System.Data.DataTable;
    DataColumn1: System.Data.DataColumn;
    DataColumn2: System.Data.DataColumn;
    DataColumn3: System.Data.DataColumn;
    DataColumn4: System.Data.DataColumn;
    DataColumn5: System.Data.DataColumn;
    DataColumn6: System.Data.DataColumn;
    DataColumn7: System.Data.DataColumn;
    DataTable2: System.Data.DataTable;
    DataColumn8: System.Data.DataColumn;
    DataColumn9: System.Data.DataColumn;
    DataColumn10: System.Data.DataColumn;
    DataColumn11: System.Data.DataColumn;
    DataColumn12: System.Data.DataColumn;
    ListBox1: System.Web.UI.WebControls.ListBox;
    DataTable3: System.Data.DataTable;
    DataColumn13: System.Data.DataColumn;
    DataColumn14: System.Data.DataColumn;
    DataColumn15: System.Data.DataColumn;
    DataColumn16: System.Data.DataColumn;
    DataColumn17: System.Data.DataColumn;
    DataColumn18: System.Data.DataColumn;
    DataColumn19: System.Data.DataColumn;
    DataTable4: System.Data.DataTable;
    DataColumn20: System.Data.DataColumn;
    DataColumn21: System.Data.DataColumn;
    DataColumn22: System.Data.DataColumn;
    DataColumn23: System.Data.DataColumn;
    DataColumn24: System.Data.DataColumn;
    DataTable5: System.Data.DataTable;
    DataColumn25: System.Data.DataColumn;
    DataColumn26: System.Data.DataColumn;
    DataColumn27: System.Data.DataColumn;
    DataColumn28: System.Data.DataColumn;
    DataColumn29: System.Data.DataColumn;
    DataColumn30: System.Data.DataColumn;
    DataColumn31: System.Data.DataColumn;
    DataTable6: System.Data.DataTable;
    DataColumn32: System.Data.DataColumn;
    DataColumn33: System.Data.DataColumn;
    DataColumn34: System.Data.DataColumn;
    DataColumn35: System.Data.DataColumn;
    DataColumn36: System.Data.DataColumn;
    DataTable7: System.Data.DataTable;
    DataColumn37: System.Data.DataColumn;
    DataColumn38: System.Data.DataColumn;
    DataColumn39: System.Data.DataColumn;
    DataColumn40: System.Data.DataColumn;
    DataColumn41: System.Data.DataColumn;
    DataColumn42: System.Data.DataColumn;
    DataColumn43: System.Data.DataColumn;
    DataTable8: System.Data.DataTable;
    DataColumn44: System.Data.DataColumn;
    DataColumn45: System.Data.DataColumn;
    DataColumn46: System.Data.DataColumn;
    DataColumn47: System.Data.DataColumn;
    DataColumn48: System.Data.DataColumn;
    DataTable9: System.Data.DataTable;
    DataColumn49: System.Data.DataColumn;
    DataColumn50: System.Data.DataColumn;
    DataColumn51: System.Data.DataColumn;
    DataColumn52: System.Data.DataColumn;
    DataColumn53: System.Data.DataColumn;
    DataColumn54: System.Data.DataColumn;
    DataColumn55: System.Data.DataColumn;
    DataTable10: System.Data.DataTable;
    DataColumn56: System.Data.DataColumn;
    DataColumn57: System.Data.DataColumn;
    DataColumn58: System.Data.DataColumn;
    DataColumn59: System.Data.DataColumn;
    DataColumn60: System.Data.DataColumn;
    Label1: System.Web.UI.WebControls.Label;
    Label2: System.Web.UI.WebControls.Label;
    Label3: System.Web.UI.WebControls.Label;
    Label4: System.Web.UI.WebControls.Label;
    Label5: System.Web.UI.WebControls.Label;
    DBWebGrid2: Borland.Data.Web.DBWebGrid;
    DBWebLabel1: Borland.Data.Web.DBWebLabel;
    DBWebLabel2: Borland.Data.Web.DBWebLabel;
    DBWebAggregateControl1: Borland.Data.Web.DBWebAggregateControl;
    DBWebAggregateControl2: Borland.Data.Web.DBWebAggregateControl;
    DBWebDataSource1: Borland.Data.Web.DBWebDataSource;
    DBWebDataSource2: Borland.Data.Web.DBWebDataSource;
    procedure OnInit(e: EventArgs); override;
  private
    { Private Declarations }
  public
    { Public Declarations }
  end;

implementation

{$REGION 'Designer Managed Code'}
/// <summary>
/// Required method for Designer support -- do not modify
/// the contents of this method with the code editor.
/// </summary>
procedure TWebForm1.InitializeComponent;
type
  TArrayOfSystem_Data_DataRelation = array of System.Data.DataRelation;
  TArrayOfString = array of string;
  TArrayOfSystem_Data_DataTable = array of System.Data.DataTable;
  TArrayOfSystem_Data_DataColumn = array of System.Data.DataColumn;
  TArrayOfSystem_Data_Constraint = array of System.Data.Constraint;
  TArrayOfByte = array of Byte;
begin
  Self.dataSet1 := System.Data.DataSet.Create;
  Self.DataTable9 := System.Data.DataTable.Create;
  Self.DataColumn49 := System.Data.DataColumn.Create;
  Self.DataColumn50 := System.Data.DataColumn.Create;
  Self.DataColumn51 := System.Data.DataColumn.Create;
  Self.DataColumn52 := System.Data.DataColumn.Create;
  Self.DataColumn53 := System.Data.DataColumn.Create;
  Self.DataColumn54 := System.Data.DataColumn.Create;
  Self.DataColumn55 := System.Data.DataColumn.Create;
  Self.DataTable10 := System.Data.DataTable.Create;
  Self.DataColumn56 := System.Data.DataColumn.Create;
  Self.DataColumn57 := System.Data.DataColumn.Create;
  Self.DataColumn58 := System.Data.DataColumn.Create;
  Self.DataColumn59 := System.Data.DataColumn.Create;
  Self.DataColumn60 := System.Data.DataColumn.Create;
  Self.DataTable7 := System.Data.DataTable.Create;
  Self.DataColumn37 := System.Data.DataColumn.Create;
  Self.DataColumn38 := System.Data.DataColumn.Create;
  Self.DataColumn39 := System.Data.DataColumn.Create;
  Self.DataColumn40 := System.Data.DataColumn.Create;
  Self.DataColumn41 := System.Data.DataColumn.Create;
  Self.DataColumn42 := System.Data.DataColumn.Create;
  Self.DataColumn43 := System.Data.DataColumn.Create;
  Self.DataTable8 := System.Data.DataTable.Create;
  Self.DataColumn44 := System.Data.DataColumn.Create;
  Self.DataColumn45 := System.Data.DataColumn.Create;
  Self.DataColumn46 := System.Data.DataColumn.Create;
  Self.DataColumn47 := System.Data.DataColumn.Create;
  Self.DataColumn48 := System.Data.DataColumn.Create;
  Self.DataTable5 := System.Data.DataTable.Create;
  Self.DataColumn25 := System.Data.DataColumn.Create;
  Self.DataColumn26 := System.Data.DataColumn.Create;
  Self.DataColumn27 := System.Data.DataColumn.Create;
  Self.DataColumn28 := System.Data.DataColumn.Create;
  Self.DataColumn29 := System.Data.DataColumn.Create;
  Self.DataColumn30 := System.Data.DataColumn.Create;
  Self.DataColumn31 := System.Data.DataColumn.Create;
  Self.DataTable6 := System.Data.DataTable.Create;
  Self.DataColumn32 := System.Data.DataColumn.Create;
  Self.DataColumn33 := System.Data.DataColumn.Create;
  Self.DataColumn34 := System.Data.DataColumn.Create;
  Self.DataColumn35 := System.Data.DataColumn.Create;
  Self.DataColumn36 := System.Data.DataColumn.Create;
  Self.DataTable3 := System.Data.DataTable.Create;
  Self.DataColumn13 := System.Data.DataColumn.Create;
  Self.DataColumn14 := System.Data.DataColumn.Create;
  Self.DataColumn15 := System.Data.DataColumn.Create;
  Self.DataColumn16 := System.Data.DataColumn.Create;
  Self.DataColumn17 := System.Data.DataColumn.Create;
  Self.DataColumn18 := System.Data.DataColumn.Create;
  Self.DataColumn19 := System.Data.DataColumn.Create;
  Self.DataTable4 := System.Data.DataTable.Create;
  Self.DataColumn20 := System.Data.DataColumn.Create;
  Self.DataColumn21 := System.Data.DataColumn.Create;
  Self.DataColumn22 := System.Data.DataColumn.Create;
  Self.DataColumn23 := System.Data.DataColumn.Create;
  Self.DataColumn24 := System.Data.DataColumn.Create;
  Self.DataTable1 := System.Data.DataTable.Create;
  Self.DataColumn1 := System.Data.DataColumn.Create;
  Self.DataColumn2 := System.Data.DataColumn.Create;
  Self.DataColumn3 := System.Data.DataColumn.Create;
  Self.DataColumn4 := System.Data.DataColumn.Create;
  Self.DataColumn5 := System.Data.DataColumn.Create;
  Self.DataColumn6 := System.Data.DataColumn.Create;
  Self.DataColumn7 := System.Data.DataColumn.Create;
  Self.DataTable2 := System.Data.DataTable.Create;
  Self.DataColumn8 := System.Data.DataColumn.Create;
  Self.DataColumn9 := System.Data.DataColumn.Create;
  Self.DataColumn10 := System.Data.DataColumn.Create;
  Self.DataColumn11 := System.Data.DataColumn.Create;
  Self.DataColumn12 := System.Data.DataColumn.Create;
  Self.BdpConnection1 := Borland.Data.Provider.BdpConnection.Create;
  Self.bdpSelectCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpInsertCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpUpdateCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpDeleteCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.BdpDataAdapter1 := Borland.Data.Provider.BdpDataAdapter.Create;
  Self.bdpSelectCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpInsertCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpUpdateCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpDeleteCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.BdpDataAdapter2 := Borland.Data.Provider.BdpDataAdapter.Create;
  Self.DBWebDataSource1 := Borland.Data.Web.DBWebDataSource.Create;
  Self.DBWebDataSource2 := Borland.Data.Web.DBWebDataSource.Create;
  (System.ComponentModel.ISupportInitialize(Self.dataSet1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable9)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable10)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable7)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable8)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable5)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable6)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable3)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable4)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource2)).BeginInit;
  // 
  // dataSet1
  // 
  Self.dataSet1.DataSetName := 'NewDataSet';
  Self.dataSet1.EnforceConstraints := False;
  Self.dataSet1.Locale := System.Globalization.CultureInfo.Create('en-US');
  Self.dataSet1.Relations.AddRange(TArrayOfSystem_Data_DataRelation.Create(System.Data.DataRelation.Create('R' +
          'elation1', 'DEPARTMENT', 'PROJ_DEPT_BUDGET', TArrayOfString.Create('D' +
              'EPT_NO'), TArrayOfString.Create('DEPT_NO'), False)));
  Self.dataSet1.Tables.AddRange(TArrayOfSystem_Data_DataTable.Create(Self.DataTable9, 
          Self.DataTable10));
  // 
  // DataTable9
  // 
  Self.DataTable9.Columns.AddRange(TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn49, 
          Self.DataColumn50, Self.DataColumn51, Self.DataColumn52, Self.DataColumn53, 
          Self.DataColumn54, Self.DataColumn55));
  Self.DataTable9.Constraints.AddRange(TArrayOfSystem_Data_Constraint.Create(System.Data.UniqueConstraint.Create('C' +
          'onstraint1', TArrayOfString.Create('DEPT_NO'), False)));
  Self.DataTable9.TableName := 'DEPARTMENT';
  // 
  // DataColumn49
  // 
  Self.DataColumn49.ColumnName := 'DEPT_NO';
  Self.DataColumn49.ReadOnly := True;
  // 
  // DataColumn50
  // 
  Self.DataColumn50.ColumnName := 'DEPARTMENT';
  // 
  // DataColumn51
  // 
  Self.DataColumn51.ColumnName := 'HEAD_DEPT';
  // 
  // DataColumn52
  // 
  Self.DataColumn52.ColumnName := 'MNGR_NO';
  Self.DataColumn52.DataType := TypeOf(SmallInt);
  // 
  // DataColumn53
  // 
  Self.DataColumn53.ColumnName := 'BUDGET';
  Self.DataColumn53.DataType := TypeOf(System.Double);
  // 
  // DataColumn54
  // 
  Self.DataColumn54.ColumnName := 'LOCATION';
  // 
  // DataColumn55
  // 
  Self.DataColumn55.ColumnName := 'PHONE_NO';
  // 
  // DataTable10
  // 
  Self.DataTable10.Columns.AddRange(TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn56, 
          Self.DataColumn57, Self.DataColumn58, Self.DataColumn59, Self.DataColumn60));
  Self.DataTable10.Constraints.AddRange(TArrayOfSystem_Data_Constraint.Create(System.Data.ForeignKeyConstraint.Create('R' +
          'elation1', 'DEPARTMENT', TArrayOfString.Create('DEPT_NO'), TArrayOfString.Create('D' +
              'EPT_NO'), System.Data.AcceptRejectRule.None, System.Data.Rule.Cascade, 
            System.Data.Rule.Cascade)));
  Self.DataTable10.TableName := 'PROJ_DEPT_BUDGET';
  // 
  // DataColumn56
  // 
  Self.DataColumn56.ColumnName := 'FISCAL_YEAR';
  Self.DataColumn56.DataType := TypeOf(Integer);
  // 
  // DataColumn57
  // 
  Self.DataColumn57.ColumnName := 'PROJ_ID';
  // 
  // DataColumn58
  // 
  Self.DataColumn58.ColumnName := 'DEPT_NO';
  Self.DataColumn58.ReadOnly := True;
  // 
  // DataColumn59
  // 
  Self.DataColumn59.ColumnName := 'QUART_HEAD_CNT';
  Self.DataColumn59.DataType := TypeOf(TArrayOfByte);
  // 
  // DataColumn60
  // 
  Self.DataColumn60.ColumnName := 'PROJECTED_BUDGET';
  Self.DataColumn60.DataType := TypeOf(System.Double);
  // 
  // DataTable7
  // 
  Self.DataTable7.TableName := 'DEPARTMENT';
  // 
  // DataColumn37
  // 
  Self.DataColumn37.ColumnName := 'DEPT_NO';
  // 
  // DataColumn38
  // 
  Self.DataColumn38.ColumnName := 'DEPARTMENT';
  // 
  // DataColumn39
  // 
  Self.DataColumn39.ColumnName := 'HEAD_DEPT';
  // 
  // DataColumn40
  // 
  Self.DataColumn40.ColumnName := 'MNGR_NO';
  Self.DataColumn40.DataType := TypeOf(SmallInt);
  // 
  // DataColumn41
  // 
  Self.DataColumn41.ColumnName := 'BUDGET';
  Self.DataColumn41.DataType := TypeOf(System.Double);
  // 
  // DataColumn42
  // 
  Self.DataColumn42.ColumnName := 'LOCATION';
  // 
  // DataColumn43
  // 
  Self.DataColumn43.ColumnName := 'PHONE_NO';
  // 
  // DataTable8
  // 
  Self.DataTable8.TableName := 'PROJ_DEPT_BUDGET';
  // 
  // DataColumn44
  // 
  Self.DataColumn44.ColumnName := 'FISCAL_YEAR';
  Self.DataColumn44.DataType := TypeOf(Integer);
  // 
  // DataColumn45
  // 
  Self.DataColumn45.ColumnName := 'PROJ_ID';
  // 
  // DataColumn46
  // 
  Self.DataColumn46.ColumnName := 'DEPT_NO';
  // 
  // DataColumn47
  // 
  Self.DataColumn47.ColumnName := 'QUART_HEAD_CNT';
  Self.DataColumn47.DataType := TypeOf(TArrayOfByte);
  // 
  // DataColumn48
  // 
  Self.DataColumn48.ColumnName := 'PROJECTED_BUDGET';
  Self.DataColumn48.DataType := TypeOf(System.Double);
  // 
  // DataTable5
  // 
  Self.DataTable5.TableName := 'DEPARTMENT';
  // 
  // DataColumn25
  // 
  Self.DataColumn25.ColumnName := 'DEPT_NO';
  // 
  // DataColumn26
  // 
  Self.DataColumn26.ColumnName := 'DEPARTMENT';
  // 
  // DataColumn27
  // 
  Self.DataColumn27.ColumnName := 'HEAD_DEPT';
  // 
  // DataColumn28
  // 
  Self.DataColumn28.ColumnName := 'MNGR_NO';
  Self.DataColumn28.DataType := TypeOf(SmallInt);
  // 
  // DataColumn29
  // 
  Self.DataColumn29.ColumnName := 'BUDGET';
  Self.DataColumn29.DataType := TypeOf(System.Double);
  // 
  // DataColumn30
  // 
  Self.DataColumn30.ColumnName := 'LOCATION';
  // 
  // DataColumn31
  // 
  Self.DataColumn31.ColumnName := 'PHONE_NO';
  // 
  // DataTable6
  // 
  Self.DataTable6.TableName := 'PROJ_DEPT_BUDGET';
  // 
  // DataColumn32
  // 
  Self.DataColumn32.ColumnName := 'FISCAL_YEAR';
  Self.DataColumn32.DataType := TypeOf(Integer);
  // 
  // DataColumn33
  // 
  Self.DataColumn33.ColumnName := 'PROJ_ID';
  // 
  // DataColumn34
  // 
  Self.DataColumn34.ColumnName := 'DEPT_NO';
  // 
  // DataColumn35
  // 
  Self.DataColumn35.ColumnName := 'QUART_HEAD_CNT';
  Self.DataColumn35.DataType := TypeOf(TArrayOfByte);
  // 
  // DataColumn36
  // 
  Self.DataColumn36.ColumnName := 'PROJECTED_BUDGET';
  Self.DataColumn36.DataType := TypeOf(System.Double);
  // 
  // DataTable3
  // 
  Self.DataTable3.TableName := 'DEPARTMENT';
  // 
  // DataColumn13
  // 
  Self.DataColumn13.ColumnName := 'DEPT_NO';
  // 
  // DataColumn14
  // 
  Self.DataColumn14.ColumnName := 'DEPARTMENT';
  // 
  // DataColumn15
  // 
  Self.DataColumn15.ColumnName := 'HEAD_DEPT';
  // 
  // DataColumn16
  // 
  Self.DataColumn16.ColumnName := 'MNGR_NO';
  Self.DataColumn16.DataType := TypeOf(SmallInt);
  // 
  // DataColumn17
  // 
  Self.DataColumn17.ColumnName := 'BUDGET';
  Self.DataColumn17.DataType := TypeOf(System.Double);
  // 
  // DataColumn18
  // 
  Self.DataColumn18.ColumnName := 'LOCATION';
  // 
  // DataColumn19
  // 
  Self.DataColumn19.ColumnName := 'PHONE_NO';
  // 
  // DataTable4
  // 
  Self.DataTable4.TableName := 'PROJ_DEPT_BUDGET';
  // 
  // DataColumn20
  // 
  Self.DataColumn20.ColumnName := 'FISCAL_YEAR';
  Self.DataColumn20.DataType := TypeOf(Integer);
  // 
  // DataColumn21
  // 
  Self.DataColumn21.ColumnName := 'PROJ_ID';
  // 
  // DataColumn22
  // 
  Self.DataColumn22.ColumnName := 'DEPT_NO';
  // 
  // DataColumn23
  // 
  Self.DataColumn23.ColumnName := 'QUART_HEAD_CNT';
  Self.DataColumn23.DataType := TypeOf(TArrayOfByte);
  // 
  // DataColumn24
  // 
  Self.DataColumn24.ColumnName := 'PROJECTED_BUDGET';
  Self.DataColumn24.DataType := TypeOf(System.Double);
  // 
  // DataTable1
  // 
  Self.DataTable1.TableName := 'DEPARTMENT';
  // 
  // DataColumn1
  // 
  Self.DataColumn1.ColumnName := 'DEPT_NO';
  Self.DataColumn1.ReadOnly := True;
  // 
  // DataColumn2
  // 
  Self.DataColumn2.ColumnName := 'DEPARTMENT';
  // 
  // DataColumn3
  // 
  Self.DataColumn3.ColumnName := 'HEAD_DEPT';
  // 
  // DataColumn4
  // 
  Self.DataColumn4.ColumnName := 'MNGR_NO';
  Self.DataColumn4.DataType := TypeOf(Integer);
  // 
  // DataColumn5
  // 
  Self.DataColumn5.ColumnName := 'BUDGET';
  Self.DataColumn5.DataType := TypeOf(System.Double);
  // 
  // DataColumn6
  // 
  Self.DataColumn6.ColumnName := 'LOCATION';
  // 
  // DataColumn7
  // 
  Self.DataColumn7.ColumnName := 'PHONE_NO';
  // 
  // DataTable2
  // 
  Self.DataTable2.TableName := 'PROJ_DEPT_BUDGET';
  // 
  // DataColumn8
  // 
  Self.DataColumn8.ColumnName := 'FISCAL_YEAR';
  Self.DataColumn8.DataType := TypeOf(Integer);
  // 
  // DataColumn9
  // 
  Self.DataColumn9.ColumnName := 'PROJ_ID';
  // 
  // DataColumn10
  // 
  Self.DataColumn10.ColumnName := 'DEPT_NO';
  Self.DataColumn10.ReadOnly := True;
  // 
  // DataColumn11
  // 
  Self.DataColumn11.ColumnName := 'QUART_HEAD_CNT';
  Self.DataColumn11.DataType := TypeOf(TArrayOfByte);
  // 
  // DataColumn12
  // 
  Self.DataColumn12.ColumnName := 'PROJECTED_BUDGET';
  Self.DataColumn12.DataType := TypeOf(System.Double);
  // 
  // BdpConnection1
  // 
  Self.BdpConnection1.ConnectionOptions := 'waitonlocks=False;commitretain=F' +
  'alse;sqldialect=3;transaction isolation=ReadCommitted;servercharset=;role' +
  'name=';
  Self.BdpConnection1.ConnectionString := 'assembly=Borland.Data.Interbase, ' +
  'Version=2.5.0.0, Culture=neutral, PublicKeyToken=91d62ebb5b0d1b1b;vendorc' +
  'lient=gds32.dll;pooling=True;grow on demand=True;database=..\data\EMPLOYE' +
  'E.GDB;username=sysdba;max pool size=100;password=masterkey;provider=Inter' +
  'base';
  // 
  // bdpSelectCommand1
  // 
  Self.bdpSelectCommand1.CommandOptions := nil;
  Self.bdpSelectCommand1.CommandText := 'SELECT DEPT_NO, DEPARTMENT, HEAD_DE' +
  'PT, MNGR_NO, BUDGET, LOCATION, PHONE_NO FROM DEPARTMENT ORDER BY DEPT_NO';
  Self.bdpSelectCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpSelectCommand1.Connection := Self.BdpConnection1;
  Self.bdpSelectCommand1.ParameterCount := (SmallInt(0));
  Self.bdpSelectCommand1.SchemaName := nil;
  Self.bdpSelectCommand1.Transaction := nil;
  Self.bdpSelectCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpInsertCommand1
  // 
  Self.bdpInsertCommand1.CommandOptions := nil;
  Self.bdpInsertCommand1.CommandText := 'INSERT INTO DEPARTMENT (DEPT_NO, DE' +
  'PARTMENT, HEAD_DEPT, MNGR_NO, BUDGET, LOCATION, PHONE_NO ) VALUES ( ?, ?,' +
  ' ?, ?, ?, ?, ?)';
  Self.bdpInsertCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpInsertCommand1.Connection := Self.BdpConnection1;
  Self.bdpInsertCommand1.ParameterCount := (SmallInt(7));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPARTMENT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(25)), (Byte(0)), 
        25, 'DEPARTMENT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('H' +
      'EAD_DEPT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'HEAD_DEPT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('M' +
      'NGR_NO', Borland.Data.Common.BdpType.Int16, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(2)), (Byte(0)), 
        2, 'MNGR_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('B' +
      'UDGET', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'BUDGET', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'OCATION', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'LOCATION', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'PHONE_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.SchemaName := nil;
  Self.bdpInsertCommand1.Transaction := nil;
  Self.bdpInsertCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpUpdateCommand1
  // 
  Self.bdpUpdateCommand1.CommandOptions := nil;
  Self.bdpUpdateCommand1.CommandText := 'UPDATE DEPARTMENT SET DEPT_NO = ?, ' +
  'DEPARTMENT = ?, HEAD_DEPT = ?, MNGR_NO = ?, BUDGET = ?, LOCATION = ?, PHO' +
  'NE_NO = ? WHERE DEPT_NO = ? AND DEPARTMENT = ? AND HEAD_DEPT = ? AND MNGR' +
  '_NO = ? AND BUDGET = ? AND LOCATION = ? AND PHONE_NO = ?';
  Self.bdpUpdateCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpUpdateCommand1.Connection := Self.BdpConnection1;
  Self.bdpUpdateCommand1.ParameterCount := (SmallInt(14));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPARTMENT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(25)), (Byte(0)), 
        25, 'DEPARTMENT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('H' +
      'EAD_DEPT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'HEAD_DEPT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('M' +
      'NGR_NO', Borland.Data.Common.BdpType.Int16, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(2)), (Byte(0)), 
        2, 'MNGR_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('B' +
      'UDGET', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'BUDGET', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'OCATION', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'LOCATION', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'PHONE_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPARTMENTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(25)), (Byte(0)), 
        25, 'DEPARTMENT', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('H' +
      'EAD_DEPTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'HEAD_DEPT', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('M' +
      'NGR_NOOriginal', Borland.Data.Common.BdpType.Int16, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(2)), (Byte(0)), 
        2, 'MNGR_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('B' +
      'UDGETOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'BUDGET', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'OCATIONOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'LOCATION', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'PHONE_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.SchemaName := nil;
  Self.bdpUpdateCommand1.Transaction := nil;
  Self.bdpUpdateCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpDeleteCommand1
  // 
  Self.bdpDeleteCommand1.CommandOptions := nil;
  Self.bdpDeleteCommand1.CommandText := 'DELETE FROM DEPARTMENT WHERE DEPT_N' +
  'O = ? AND DEPARTMENT = ? AND HEAD_DEPT = ? AND MNGR_NO = ? AND BUDGET = ?' +
  ' AND LOCATION = ? AND PHONE_NO = ?';
  Self.bdpDeleteCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpDeleteCommand1.Connection := Self.BdpConnection1;
  Self.bdpDeleteCommand1.ParameterCount := (SmallInt(7));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPARTMENTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(25)), (Byte(0)), 
        25, 'DEPARTMENT', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('H' +
      'EAD_DEPTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'HEAD_DEPT', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('M' +
      'NGR_NOOriginal', Borland.Data.Common.BdpType.Int16, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(2)), (Byte(0)), 
        2, 'MNGR_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('B' +
      'UDGETOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'BUDGET', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'OCATIONOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'LOCATION', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'PHONE_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.SchemaName := nil;
  Self.bdpDeleteCommand1.Transaction := nil;
  Self.bdpDeleteCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // BdpDataAdapter1
  // 
  Self.BdpDataAdapter1.Active := True;
  Self.BdpDataAdapter1.DataSet := Self.dataSet1;
  Self.BdpDataAdapter1.DataTable := Self.DataTable9;
  Self.BdpDataAdapter1.DeleteCommand := Self.bdpDeleteCommand1;
  Self.BdpDataAdapter1.InsertCommand := Self.bdpInsertCommand1;
  Self.BdpDataAdapter1.SelectCommand := Self.bdpSelectCommand1;
  Self.BdpDataAdapter1.StartRecord := 0;
  Self.BdpDataAdapter1.UpdateCommand := Self.bdpUpdateCommand1;
  // 
  // bdpSelectCommand2
  // 
  Self.bdpSelectCommand2.CommandOptions := nil;
  Self.bdpSelectCommand2.CommandText := 'SELECT FISCAL_YEAR, PROJ_ID, DEPT_N' +
  'O, QUART_HEAD_CNT, PROJECTED_BUDGET FROM PROJ_DEPT_BUDGET';
  Self.bdpSelectCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpSelectCommand2.Connection := Self.BdpConnection1;
  Self.bdpSelectCommand2.ParameterCount := (SmallInt(0));
  Self.bdpSelectCommand2.SchemaName := nil;
  Self.bdpSelectCommand2.Transaction := nil;
  Self.bdpSelectCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpInsertCommand2
  // 
  Self.bdpInsertCommand2.CommandOptions := nil;
  Self.bdpInsertCommand2.CommandText := 'INSERT INTO PROJ_DEPT_BUDGET (FISCA' +
  'L_YEAR, PROJ_ID, DEPT_NO, QUART_HEAD_CNT, PROJECTED_BUDGET ) VALUES ( ?, ' +
  '?, ?, ?, ?)';
  Self.bdpInsertCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpInsertCommand2.Connection := Self.BdpConnection1;
  Self.bdpInsertCommand2.ParameterCount := (SmallInt(5));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'ISCAL_YEAR', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'FISCAL_YEAR', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJ_ID', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(5)), (Byte(0)), 
        5, 'PROJ_ID', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Q' +
      'UART_HEAD_CNT', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'QUART_HEAD_CNT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJECTED_BUDGET', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'PROJECTED_BUDGET', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.SchemaName := nil;
  Self.bdpInsertCommand2.Transaction := nil;
  Self.bdpInsertCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpUpdateCommand2
  // 
  Self.bdpUpdateCommand2.CommandOptions := nil;
  Self.bdpUpdateCommand2.CommandText := 'UPDATE PROJ_DEPT_BUDGET SET FISCAL_' +
  'YEAR = ?, PROJ_ID = ?, DEPT_NO = ?, QUART_HEAD_CNT = ?, PROJECTED_BUDGET ' +
  '= ? WHERE FISCAL_YEAR = ? AND PROJ_ID = ? AND DEPT_NO = ? AND QUART_HEAD_' +
  'CNT = ? AND PROJECTED_BUDGET = ?';
  Self.bdpUpdateCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpUpdateCommand2.Connection := Self.BdpConnection1;
  Self.bdpUpdateCommand2.ParameterCount := (SmallInt(10));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'ISCAL_YEAR', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'FISCAL_YEAR', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJ_ID', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(5)), (Byte(0)), 
        5, 'PROJ_ID', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NO', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Q' +
      'UART_HEAD_CNT', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'QUART_HEAD_CNT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJECTED_BUDGET', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'PROJECTED_BUDGET', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'ISCAL_YEAROriginal', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'FISCAL_YEAR', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJ_IDOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(5)), (Byte(0)), 
        5, 'PROJ_ID', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Q' +
      'UART_HEAD_CNTOriginal', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'QUART_HEAD_CNT', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJECTED_BUDGETOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'PROJECTED_BUDGET', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.SchemaName := nil;
  Self.bdpUpdateCommand2.Transaction := nil;
  Self.bdpUpdateCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpDeleteCommand2
  // 
  Self.bdpDeleteCommand2.CommandOptions := nil;
  Self.bdpDeleteCommand2.CommandText := 'DELETE FROM PROJ_DEPT_BUDGET WHERE ' +
  'FISCAL_YEAR = ? AND PROJ_ID = ? AND DEPT_NO = ? AND QUART_HEAD_CNT = ? AN' +
  'D PROJECTED_BUDGET = ?';
  Self.bdpDeleteCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpDeleteCommand2.Connection := Self.BdpConnection1;
  Self.bdpDeleteCommand2.ParameterCount := (SmallInt(5));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'ISCAL_YEAROriginal', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'FISCAL_YEAR', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJ_IDOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(5)), (Byte(0)), 
        5, 'PROJ_ID', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('D' +
      'EPT_NOOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.stFixed, 
        0, System.Data.ParameterDirection.Input, False, (Byte(3)), (Byte(0)), 
        3, 'DEPT_NO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Q' +
      'UART_HEAD_CNTOriginal', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'QUART_HEAD_CNT', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'ROJECTED_BUDGETOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(2)), 
        8, 'PROJECTED_BUDGET', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.SchemaName := nil;
  Self.bdpDeleteCommand2.Transaction := nil;
  Self.bdpDeleteCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // BdpDataAdapter2
  // 
  Self.BdpDataAdapter2.Active := True;
  Self.BdpDataAdapter2.DataSet := Self.dataSet1;
  Self.BdpDataAdapter2.DataTable := Self.DataTable10;
  Self.BdpDataAdapter2.DeleteCommand := Self.bdpDeleteCommand2;
  Self.BdpDataAdapter2.InsertCommand := Self.bdpInsertCommand2;
  Self.BdpDataAdapter2.SelectCommand := Self.bdpSelectCommand2;
  Self.BdpDataAdapter2.StartRecord := 0;
  Self.BdpDataAdapter2.UpdateCommand := Self.bdpUpdateCommand2;
  // 
  // DBWebDataSource1
  // 
  Self.DBWebDataSource1.DataSource := Self.DataTable9;
  Self.DBWebDataSource1.ErrorDlgBackColor := System.Drawing.Color.Azure;
  Self.DBWebDataSource1.ErrorDlgBorderColor := System.Drawing.Color.Red;
  Self.DBWebDataSource1.ErrorDlgForeColor := System.Drawing.Color.Black;
  Include(Self.DBWebDataSource1.OnAfterSetChanges, Self.DBWebDataSource1_OnAfterSetChanges);
  // 
  // DBWebDataSource2
  // 
  Self.DBWebDataSource2.DataSource := Self.DataTable10;
  Self.DBWebDataSource2.ErrorDlgBackColor := System.Drawing.Color.Azure;
  Self.DBWebDataSource2.ErrorDlgBorderColor := System.Drawing.Color.Red;
  Self.DBWebDataSource2.ErrorDlgForeColor := System.Drawing.Color.Black;
  Include(Self.Load, Self.Page_Load);
  (System.ComponentModel.ISupportInitialize(Self.dataSet1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable9)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable10)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable7)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable8)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable5)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable6)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable3)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable4)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource2)).EndInit;
end;
{$ENDREGION}

procedure TWebForm1.Page_Load(sender: System.Object; e: System.EventArgs);
begin
if not ispostback then
 begin
  ListBox1.DataBind;
    if ListBox1.Items.Count > 0  then
    listBox1.SelectedIndex := 0;
 end;
  (DBWebDataSource1 as IDBDataSource).RegisterGoToControl(ListBox1, ListBox1, 'DEPARTMENT');
end;

procedure TWebForm1.OnInit(e: EventArgs);
begin
  //
  // Required for Designer support
  //
  InitializeComponent;
  inherited OnInit(e);
end;


procedure TWebForm1.DBWebDataSource1_OnAfterSetChanges(sender: System.Object;
  e: Borland.Data.Web.WebControlEventArgs);
var
  curItem, thisItem: string;
  index: Integer;
  i: Integer;
begin
exit;
  curItem := (DBWebDataSource1 as IDBDataSource).GetColumnValue(Page, 'DEPARTMENT', 'DEPARTMENT').ToString;
  index := 0;
  for i := 0 to listBox1.Items.Count -1 do
  begin
    thisItem := listBox1.Items[i].Text;
    if thisItem = curItem then
    begin
      index := i;
      break;
    end;
  end;
  listBox1.SelectedIndex := index;
end;


end.

