/*
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

*/



using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace App28_7
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected Borland.Data.Provider.BdpConnection bdpConnection1;
		protected Borland.Data.Provider.BdpCommand bdpSelectCommand1;
		protected Borland.Data.Provider.BdpCommand bdpInsertCommand1;
		protected Borland.Data.Provider.BdpCommand bdpUpdateCommand1;
		protected Borland.Data.Provider.BdpCommand bdpDeleteCommand1;
		protected Borland.Data.Provider.BdpDataAdapter daCustomers;
		protected System.Data.DataSet dsMain;
		protected System.Data.DataTable dataTable1;
		protected System.Data.DataColumn dataColumn1;
		protected System.Data.DataColumn dataColumn2;
		protected System.Data.DataColumn dataColumn3;
		protected System.Data.DataColumn dataColumn4;
		protected Borland.Data.Web.DBWebDataSource dsCustomers;
		protected Borland.Data.Web.DBWebGrid dbWebGrid1;
		protected Borland.Data.Web.DBWebNavigator dbWebNavigator1;
		protected Borland.Data.Provider.BdpCommand bdpSelectCommand2;
		protected Borland.Data.Provider.BdpCommand bdpInsertCommand2;
		protected Borland.Data.Provider.BdpCommand bdpUpdateCommand2;
		protected Borland.Data.Provider.BdpCommand bdpDeleteCommand2;
		protected Borland.Data.Provider.BdpDataAdapter daOrders;
		protected System.Data.DataTable dataTable2;
		protected System.Data.DataColumn dataColumn5;
		protected System.Data.DataColumn dataColumn6;
		protected System.Data.DataColumn dataColumn7;
		protected System.Data.DataColumn dataColumn8;
		protected System.Data.DataColumn dataColumn9;
		protected Borland.Data.Web.DBWebDataSource dsOrders;
		protected Borland.Data.Web.DBWebGrid dbWebGrid2;
		protected System.Web.UI.WebControls.Label label1;
		protected System.Web.UI.WebControls.Label label2;
		protected Borland.Data.Web.DBWebLabel dbWebLabel1;
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.bdpConnection1 = new Borland.Data.Provider.BdpConnection();
			this.bdpSelectCommand1 = new Borland.Data.Provider.BdpCommand();
			this.bdpInsertCommand1 = new Borland.Data.Provider.BdpCommand();
			this.bdpUpdateCommand1 = new Borland.Data.Provider.BdpCommand();
			this.bdpDeleteCommand1 = new Borland.Data.Provider.BdpCommand();
			this.daCustomers = new Borland.Data.Provider.BdpDataAdapter();
			this.dsMain = new System.Data.DataSet();
			this.dataTable1 = new System.Data.DataTable();
			this.dataColumn1 = new System.Data.DataColumn();
			this.dataColumn2 = new System.Data.DataColumn();
			this.dataColumn3 = new System.Data.DataColumn();
			this.dataColumn4 = new System.Data.DataColumn();
			this.dataTable2 = new System.Data.DataTable();
			this.dataColumn5 = new System.Data.DataColumn();
			this.dataColumn6 = new System.Data.DataColumn();
			this.dataColumn7 = new System.Data.DataColumn();
			this.dataColumn8 = new System.Data.DataColumn();
			this.dataColumn9 = new System.Data.DataColumn();
			this.dsCustomers = new Borland.Data.Web.DBWebDataSource();
			this.bdpSelectCommand2 = new Borland.Data.Provider.BdpCommand();
			this.bdpInsertCommand2 = new Borland.Data.Provider.BdpCommand();
			this.bdpUpdateCommand2 = new Borland.Data.Provider.BdpCommand();
			this.bdpDeleteCommand2 = new Borland.Data.Provider.BdpCommand();
			this.daOrders = new Borland.Data.Provider.BdpDataAdapter();
			this.dsOrders = new Borland.Data.Web.DBWebDataSource();
			((System.ComponentModel.ISupportInitialize)(this.daCustomers)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsMain)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dataTable1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dataTable2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsCustomers)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.daOrders)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsOrders)).BeginInit();
			// 
			// bdpConnection1
			// 
			this.bdpConnection1.ConnectionOptions = "waitonlocks=False;commitretain=False;sqldialect=3;transaction iso" +  
				"lation=ReadCommitted;servercharset=;rolename=";
			this.bdpConnection1.ConnectionString = @"assembly=Borland.Data.Interbase, Version=2.5.0.0, Culture=neutral, PublicKeyToken=91d62ebb5b0d1b1b;vendorclient=gds32.dll;pooling=True;grow on demand=True;database=D:\ConfLivres\_D2006BookMini\Code\Chapitre 19\data\DBDEMOS.GDB;username=sysdba;max pool size=100;password=masterkey;provider=Interbase;min pool size=0";
			// 
			// bdpSelectCommand1
			// 
			this.bdpSelectCommand1.CommandOptions = null;
			this.bdpSelectCommand1.CommandText = "SELECT CUSTNO, COMPANY, ZIP, LASTINVOICEDATE FROM CUSTOMER order " +  
				"by company";
			this.bdpSelectCommand1.CommandType = System.Data.CommandType.Text;
			this.bdpSelectCommand1.Connection = this.bdpConnection1;
			this.bdpSelectCommand1.ParameterCount = ((short)(0));
			this.bdpSelectCommand1.SchemaName = null;
			this.bdpSelectCommand1.Transaction = null;
			this.bdpSelectCommand1.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpInsertCommand1
			// 
			this.bdpInsertCommand1.CommandOptions = null;
			this.bdpInsertCommand1.CommandText = "INSERT INTO CUSTOMER (CUSTNO, COMPANY, ZIP, LASTINVOICEDATE ) VAL" +  
				"UES ( ?, ?, ?, ?)";
			this.bdpInsertCommand1.CommandType = System.Data.CommandType.Text;
			this.bdpInsertCommand1.Connection = this.bdpConnection1;
			this.bdpInsertCommand1.ParameterCount = ((short)(4));
			this.bdpInsertCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("COMPANY", Borland.Data.Common.BdpType.String, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(30)), ((byte)(0)), 30, "COMPANY", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("ZIP", Borland.Data.Common.BdpType.String, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(10)), ((byte)(0)), 10, "ZIP", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("LASTINVOICEDATE", Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(16)), ((byte)(0)), 16, "LASTINVOICEDATE", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand1.SchemaName = null;
			this.bdpInsertCommand1.Transaction = null;
			this.bdpInsertCommand1.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpUpdateCommand1
			// 
			this.bdpUpdateCommand1.CommandOptions = null;
			this.bdpUpdateCommand1.CommandText = "UPDATE CUSTOMER SET CUSTNO = ?, COMPANY = ?, ZIP = ?, LASTINVOICE" +  
				"DATE = ? WHERE CUSTNO = ?";
			this.bdpUpdateCommand1.CommandType = System.Data.CommandType.Text;
			this.bdpUpdateCommand1.Connection = this.bdpConnection1;
			this.bdpUpdateCommand1.ParameterCount = ((short)(5));
			this.bdpUpdateCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("COMPANY", Borland.Data.Common.BdpType.String, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(30)), ((byte)(0)), 30, "COMPANY", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("ZIP", Borland.Data.Common.BdpType.String, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(10)), ((byte)(0)), 10, "ZIP", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("LASTINVOICEDATE", Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(16)), ((byte)(0)), 16, "LASTINVOICEDATE", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNOOriginal", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Original, null));
			this.bdpUpdateCommand1.SchemaName = null;
			this.bdpUpdateCommand1.Transaction = null;
			this.bdpUpdateCommand1.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpDeleteCommand1
			// 
			this.bdpDeleteCommand1.CommandOptions = null;
			this.bdpDeleteCommand1.CommandText = "DELETE FROM CUSTOMER WHERE CUSTNO = ?";
			this.bdpDeleteCommand1.CommandType = System.Data.CommandType.Text;
			this.bdpDeleteCommand1.Connection = this.bdpConnection1;
			this.bdpDeleteCommand1.ParameterCount = ((short)(1));
			this.bdpDeleteCommand1.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNOOriginal", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Original, null));
			this.bdpDeleteCommand1.SchemaName = null;
			this.bdpDeleteCommand1.Transaction = null;
			this.bdpDeleteCommand1.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// daCustomers
			// 
			this.daCustomers.Active = true;
			this.daCustomers.DataSet = this.dsMain;
			this.daCustomers.DataTable = this.dataTable1;
			this.daCustomers.DeleteCommand = this.bdpDeleteCommand1;
			this.daCustomers.InsertCommand = this.bdpInsertCommand1;
			this.daCustomers.SelectCommand = this.bdpSelectCommand1;
			this.daCustomers.StartRecord = 0;
			this.daCustomers.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
						new System.Data.Common.DataTableMapping("Table", "CUSTOMER", new System.Data.Common.DataColumnMapping[] {
									new System.Data.Common.DataColumnMapping("CUSTNO", "CUSTNO"),
									new System.Data.Common.DataColumnMapping("COMPANY", "COMPANY"),
									new System.Data.Common.DataColumnMapping("ZIP", "ZIP"),
									new System.Data.Common.DataColumnMapping("LASTINVOICEDATE", "LASTINVOICEDATE")})});
			this.daCustomers.UpdateCommand = this.bdpUpdateCommand1;
			// 
			// dsMain
			// 
			this.dsMain.DataSetName = "NewDataSet";
			this.dsMain.Locale = new System.Globalization.CultureInfo("fr-FR");
			this.dsMain.Relations.AddRange(new System.Data.DataRelation[] {
						new System.Data.DataRelation("Relation1", "CUSTOMER", "ORDERS", new string[] {
									"CUSTNO"}, new string[] {
									"CUSTNO"}, false)});
			this.dsMain.Tables.AddRange(new System.Data.DataTable[] {
						this.dataTable1,
						this.dataTable2});
			// 
			// dataTable1
			// 
			this.dataTable1.Columns.AddRange(new System.Data.DataColumn[] {
						this.dataColumn1,
						this.dataColumn2,
						this.dataColumn3,
						this.dataColumn4});
			this.dataTable1.Constraints.AddRange(new System.Data.Constraint[] {
						new System.Data.UniqueConstraint("Constraint1", new string[] {
									"CUSTNO"}, true)});
			this.dataTable1.PrimaryKey = new System.Data.DataColumn[] {
					this.dataColumn1};
			this.dataTable1.TableName = "CUSTOMER";
			// 
			// dataColumn1
			// 
			this.dataColumn1.AllowDBNull = false;
			this.dataColumn1.ColumnName = "CUSTNO";
			this.dataColumn1.DataType = typeof(double);
			this.dataColumn1.ReadOnly = true;
			// 
			// dataColumn2
			// 
			this.dataColumn2.ColumnName = "COMPANY";
			this.dataColumn2.MaxLength = 31;
			// 
			// dataColumn3
			// 
			this.dataColumn3.ColumnName = "ZIP";
			this.dataColumn3.MaxLength = 11;
			// 
			// dataColumn4
			// 
			this.dataColumn4.ColumnName = "LASTINVOICEDATE";
			this.dataColumn4.DataType = typeof(System.DateTime);
			// 
			// dataTable2
			// 
			this.dataTable2.Columns.AddRange(new System.Data.DataColumn[] {
						this.dataColumn5,
						this.dataColumn6,
						this.dataColumn7,
						this.dataColumn8,
						this.dataColumn9});
			this.dataTable2.Constraints.AddRange(new System.Data.Constraint[] {
						new System.Data.UniqueConstraint("Constraint1", new string[] {
									"ORDERNO"}, true),
						new System.Data.ForeignKeyConstraint("Relation1", "CUSTOMER", new string[] {
									"CUSTNO"}, new string[] {
									"CUSTNO"}, System.Data.AcceptRejectRule.None, System.Data.Rule.Cascade, System.Data.Rule.Cascade)});
			this.dataTable2.PrimaryKey = new System.Data.DataColumn[] {
					this.dataColumn5};
			this.dataTable2.TableName = "ORDERS";
			// 
			// dataColumn5
			// 
			this.dataColumn5.AllowDBNull = false;
			this.dataColumn5.ColumnName = "ORDERNO";
			this.dataColumn5.DataType = typeof(double);
			// 
			// dataColumn6
			// 
			this.dataColumn6.AllowDBNull = false;
			this.dataColumn6.ColumnName = "CUSTNO";
			this.dataColumn6.DataType = typeof(double);
			this.dataColumn6.ReadOnly = true;
			// 
			// dataColumn7
			// 
			this.dataColumn7.ColumnName = "SALEDATE";
			this.dataColumn7.DataType = typeof(System.DateTime);
			// 
			// dataColumn8
			// 
			this.dataColumn8.ColumnName = "ITEMSTOTAL";
			this.dataColumn8.DataType = typeof(double);
			// 
			// dataColumn9
			// 
			this.dataColumn9.ColumnName = "AMOUNTPAID";
			this.dataColumn9.DataType = typeof(double);
			// 
			// dsCustomers
			// 
			this.dsCustomers.DataSource = this.dataTable1;
			this.dsCustomers.ErrorDlgBackColor = System.Drawing.Color.Azure;
			this.dsCustomers.ErrorDlgBorderColor = System.Drawing.Color.Red;
			this.dsCustomers.ErrorDlgForeColor = System.Drawing.Color.Black;
			// 
			// bdpSelectCommand2
			// 
			this.bdpSelectCommand2.CommandOptions = null;
			this.bdpSelectCommand2.CommandText = "SELECT ORDERNO, CUSTNO, SALEDATE, ITEMSTOTAL, AMOUNTPAID FROM ORD" +  
				"ERS order by custno, saledate";
			this.bdpSelectCommand2.CommandType = System.Data.CommandType.Text;
			this.bdpSelectCommand2.Connection = this.bdpConnection1;
			this.bdpSelectCommand2.ParameterCount = ((short)(0));
			this.bdpSelectCommand2.SchemaName = null;
			this.bdpSelectCommand2.Transaction = null;
			this.bdpSelectCommand2.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpInsertCommand2
			// 
			this.bdpInsertCommand2.CommandOptions = null;
			this.bdpInsertCommand2.CommandText = "INSERT INTO ORDERS (ORDERNO, CUSTNO, SALEDATE, ITEMSTOTAL, AMOUNT" +  
				"PAID ) VALUES ( ?, ?, ?, ?, ?)";
			this.bdpInsertCommand2.CommandType = System.Data.CommandType.Text;
			this.bdpInsertCommand2.Connection = this.bdpConnection1;
			this.bdpInsertCommand2.ParameterCount = ((short)(5));
			this.bdpInsertCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ORDERNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ORDERNO", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("SALEDATE", Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(16)), ((byte)(0)), 16, "SALEDATE", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ITEMSTOTAL", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ITEMSTOTAL", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("AMOUNTPAID", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "AMOUNTPAID", System.Data.DataRowVersion.Current, null));
			this.bdpInsertCommand2.SchemaName = null;
			this.bdpInsertCommand2.Transaction = null;
			this.bdpInsertCommand2.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpUpdateCommand2
			// 
			this.bdpUpdateCommand2.CommandOptions = null;
			this.bdpUpdateCommand2.CommandText = "UPDATE ORDERS SET ORDERNO = ?, CUSTNO = ?, SALEDATE = ?, ITEMSTOT" +  
				"AL = ?, AMOUNTPAID = ? WHERE ORDERNO = ?";
			this.bdpUpdateCommand2.CommandType = System.Data.CommandType.Text;
			this.bdpUpdateCommand2.Connection = this.bdpConnection1;
			this.bdpUpdateCommand2.ParameterCount = ((short)(6));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ORDERNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ORDERNO", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("CUSTNO", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "CUSTNO", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("SALEDATE", Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(16)), ((byte)(0)), 16, "SALEDATE", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ITEMSTOTAL", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ITEMSTOTAL", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("AMOUNTPAID", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "AMOUNTPAID", System.Data.DataRowVersion.Current, null));
			this.bdpUpdateCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ORDERNOOriginal", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ORDERNO", System.Data.DataRowVersion.Original, null));
			this.bdpUpdateCommand2.SchemaName = null;
			this.bdpUpdateCommand2.Transaction = null;
			this.bdpUpdateCommand2.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// bdpDeleteCommand2
			// 
			this.bdpDeleteCommand2.CommandOptions = null;
			this.bdpDeleteCommand2.CommandText = "DELETE FROM ORDERS WHERE ORDERNO = ?";
			this.bdpDeleteCommand2.CommandType = System.Data.CommandType.Text;
			this.bdpDeleteCommand2.Connection = this.bdpConnection1;
			this.bdpDeleteCommand2.ParameterCount = ((short)(1));
			this.bdpDeleteCommand2.Parameters.Add(new Borland.Data.Common.BdpParameter("ORDERNOOriginal", Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 0, System.Data.ParameterDirection.Input, false, ((byte)(8)), ((byte)(0)), 8, "ORDERNO", System.Data.DataRowVersion.Original, null));
			this.bdpDeleteCommand2.SchemaName = null;
			this.bdpDeleteCommand2.Transaction = null;
			this.bdpDeleteCommand2.UpdatedRowSource = System.Data.UpdateRowSource.None;
			// 
			// daOrders
			// 
			this.daOrders.Active = true;
			this.daOrders.DataSet = this.dsMain;
			this.daOrders.DataTable = this.dataTable2;
			this.daOrders.DeleteCommand = this.bdpDeleteCommand2;
			this.daOrders.InsertCommand = this.bdpInsertCommand2;
			this.daOrders.SelectCommand = this.bdpSelectCommand2;
			this.daOrders.StartRecord = 0;
			this.daOrders.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
						new System.Data.Common.DataTableMapping("Table", "ORDERS", new System.Data.Common.DataColumnMapping[] {
									new System.Data.Common.DataColumnMapping("ORDERNO", "ORDERNO"),
									new System.Data.Common.DataColumnMapping("CUSTNO", "CUSTNO"),
									new System.Data.Common.DataColumnMapping("SALEDATE", "SALEDATE"),
									new System.Data.Common.DataColumnMapping("ITEMSTOTAL", "ITEMSTOTAL"),
									new System.Data.Common.DataColumnMapping("AMOUNTPAID", "AMOUNTPAID")})});
			this.daOrders.UpdateCommand = this.bdpUpdateCommand2;
			// 
			// dsOrders
			// 
			this.dsOrders.DataSource = this.dataTable2;
			this.dsOrders.ErrorDlgBackColor = System.Drawing.Color.Azure;
			this.dsOrders.ErrorDlgBorderColor = System.Drawing.Color.Red;
			this.dsOrders.ErrorDlgForeColor = System.Drawing.Color.Black;
			this.Load += new System.EventHandler(this.Page_Load);
			((System.ComponentModel.ISupportInitialize)(this.daCustomers)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsMain)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dataTable1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dataTable2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsCustomers)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.daOrders)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsOrders)).EndInit();
		}
		#endregion
	}
}

