{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit WebForm1;

interface

uses
  System.Collections, System.ComponentModel,
  System.Data, System.Drawing, System.Web, System.Web.SessionState,
  System.Web.UI, System.Web.UI.WebControls, System.Web.UI.HtmlControls, 
  Borland.Data.Common, Borland.Data.Provider, System.Globalization, Borland.Data.Web;

type
  TWebForm1 = class(System.Web.UI.Page)
  {$REGION 'Code manag du concepteur'}
  strict private
    procedure InitializeComponent;
  {$ENDREGION}
  strict private
    procedure Page_Load(sender: System.Object; e: System.EventArgs);
  strict protected
    BdpConnection1: Borland.Data.Provider.BdpConnection;
    bdpSelectCommand1: Borland.Data.Provider.BdpCommand;
    bdpInsertCommand1: Borland.Data.Provider.BdpCommand;
    bdpUpdateCommand1: Borland.Data.Provider.BdpCommand;
    bdpDeleteCommand1: Borland.Data.Provider.BdpCommand;
    BdpDataAdapter1: Borland.Data.Provider.BdpDataAdapter;
    dsCustomer: System.Data.DataSet;
    DataTable1: System.Data.DataTable;
    DataColumn1: System.Data.DataColumn;
    DataColumn2: System.Data.DataColumn;
    DataColumn3: System.Data.DataColumn;
    DataColumn4: System.Data.DataColumn;
    DataColumn5: System.Data.DataColumn;
    DataColumn6: System.Data.DataColumn;
    DataColumn7: System.Data.DataColumn;
    DataColumn8: System.Data.DataColumn;
    DataColumn9: System.Data.DataColumn;
    DataColumn10: System.Data.DataColumn;
    DataColumn11: System.Data.DataColumn;
    DataColumn12: System.Data.DataColumn;
    DataColumn13: System.Data.DataColumn;
    DBWebDataSource1: Borland.Data.Web.DBWebDataSource;
    DBWebGrid1: Borland.Data.Web.DBWebGrid;
    DataTable2: System.Data.DataTable;
    DataColumn14: System.Data.DataColumn;
    DataColumn15: System.Data.DataColumn;
    DataColumn16: System.Data.DataColumn;
    DataColumn17: System.Data.DataColumn;
    DataColumn18: System.Data.DataColumn;
    DataColumn19: System.Data.DataColumn;
    DataColumn20: System.Data.DataColumn;
    DataColumn21: System.Data.DataColumn;
    DataColumn22: System.Data.DataColumn;
    DataColumn23: System.Data.DataColumn;
    DataColumn24: System.Data.DataColumn;
    DataColumn25: System.Data.DataColumn;
    DataColumn26: System.Data.DataColumn;
    DataTable3: System.Data.DataTable;
    DataColumn27: System.Data.DataColumn;
    DataColumn28: System.Data.DataColumn;
    DataColumn29: System.Data.DataColumn;
    DataColumn30: System.Data.DataColumn;
    DataColumn31: System.Data.DataColumn;
    DataColumn32: System.Data.DataColumn;
    DataColumn33: System.Data.DataColumn;
    DataColumn34: System.Data.DataColumn;
    DataColumn35: System.Data.DataColumn;
    DataColumn36: System.Data.DataColumn;
    DataColumn37: System.Data.DataColumn;
    DataColumn38: System.Data.DataColumn;
    DataColumn39: System.Data.DataColumn;
    procedure OnInit(e: EventArgs); override;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

implementation

{$REGION 'Code manag du concepteur'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWebForm1.InitializeComponent;
type
  TArrayOfSystem_Data_DataTable = array of System.Data.DataTable;
  TArrayOfSystem_Data_DataColumn = array of System.Data.DataColumn;
begin
  Self.BdpConnection1 := Borland.Data.Provider.BdpConnection.Create;
  Self.bdpSelectCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpInsertCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpUpdateCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpDeleteCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.BdpDataAdapter1 := Borland.Data.Provider.BdpDataAdapter.Create;
  Self.dsCustomer := System.Data.DataSet.Create;
  Self.DataTable3 := System.Data.DataTable.Create;
  Self.DataColumn27 := System.Data.DataColumn.Create;
  Self.DataColumn28 := System.Data.DataColumn.Create;
  Self.DataColumn29 := System.Data.DataColumn.Create;
  Self.DataColumn30 := System.Data.DataColumn.Create;
  Self.DataColumn31 := System.Data.DataColumn.Create;
  Self.DataColumn32 := System.Data.DataColumn.Create;
  Self.DataColumn33 := System.Data.DataColumn.Create;
  Self.DataColumn34 := System.Data.DataColumn.Create;
  Self.DataColumn35 := System.Data.DataColumn.Create;
  Self.DataColumn36 := System.Data.DataColumn.Create;
  Self.DataColumn37 := System.Data.DataColumn.Create;
  Self.DataColumn38 := System.Data.DataColumn.Create;
  Self.DataColumn39 := System.Data.DataColumn.Create;
  Self.DataTable2 := System.Data.DataTable.Create;
  Self.DataColumn14 := System.Data.DataColumn.Create;
  Self.DataColumn15 := System.Data.DataColumn.Create;
  Self.DataColumn16 := System.Data.DataColumn.Create;
  Self.DataColumn17 := System.Data.DataColumn.Create;
  Self.DataColumn18 := System.Data.DataColumn.Create;
  Self.DataColumn19 := System.Data.DataColumn.Create;
  Self.DataColumn20 := System.Data.DataColumn.Create;
  Self.DataColumn21 := System.Data.DataColumn.Create;
  Self.DataColumn22 := System.Data.DataColumn.Create;
  Self.DataColumn23 := System.Data.DataColumn.Create;
  Self.DataColumn24 := System.Data.DataColumn.Create;
  Self.DataColumn25 := System.Data.DataColumn.Create;
  Self.DataColumn26 := System.Data.DataColumn.Create;
  Self.DataTable1 := System.Data.DataTable.Create;
  Self.DataColumn1 := System.Data.DataColumn.Create;
  Self.DataColumn2 := System.Data.DataColumn.Create;
  Self.DataColumn3 := System.Data.DataColumn.Create;
  Self.DataColumn4 := System.Data.DataColumn.Create;
  Self.DataColumn5 := System.Data.DataColumn.Create;
  Self.DataColumn6 := System.Data.DataColumn.Create;
  Self.DataColumn7 := System.Data.DataColumn.Create;
  Self.DataColumn8 := System.Data.DataColumn.Create;
  Self.DataColumn9 := System.Data.DataColumn.Create;
  Self.DataColumn10 := System.Data.DataColumn.Create;
  Self.DataColumn11 := System.Data.DataColumn.Create;
  Self.DataColumn12 := System.Data.DataColumn.Create;
  Self.DataColumn13 := System.Data.DataColumn.Create;
  Self.DBWebDataSource1 := Borland.Data.Web.DBWebDataSource.Create;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.dsCustomer)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable3)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource1)).BeginInit;
  // 
  // BdpConnection1
  // 
  Self.BdpConnection1.ConnectionOptions := 'waitonlocks=False;commitretain=F' +
  'alse;sqldialect=3;transaction isolation=ReadCommitted;servercharset=;role' +
  'name=';
  Self.BdpConnection1.ConnectionString := 'assembly=Borland.Data.Interbase, ' +
  'Version=2.5.0.0, Culture=neutral, PublicKeyToken=91d62ebb5b0d1b1b;vendorc' +
  'lient=gds32.dll;pooling=True;grow on demand=True;database=D:\ConfLivres\_' +
  'D2006BookMini\Code\Chapitre 19\data\DBDEMOS.GDB;username=sysdba;max pool ' +
  'size=100;password=masterkey;provider=Interbase';
  // 
  // bdpSelectCommand1
  // 
  Self.bdpSelectCommand1.CommandOptions := nil;
  Self.bdpSelectCommand1.CommandText := 'SELECT CUSTNO, COMPANY, ADDR1, ADDR' +
  '2, CITY, STATE, ZIP, COUNTRY, PHONE, FAX, TAXRATE, CONTACT, LASTINVOICEDA' +
  'TE FROM CUSTOMER';
  Self.bdpSelectCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpSelectCommand1.Connection := Self.BdpConnection1;
  Self.bdpSelectCommand1.ParameterCount := (SmallInt(0));
  Self.bdpSelectCommand1.SchemaName := nil;
  Self.bdpSelectCommand1.Transaction := nil;
  Self.bdpSelectCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpInsertCommand1
  // 
  Self.bdpInsertCommand1.CommandOptions := nil;
  Self.bdpInsertCommand1.CommandText := 'INSERT INTO CUSTOMER (CUSTNO, COMPA' +
  'NY, ADDR1, ADDR2, CITY, STATE, ZIP, COUNTRY, PHONE, FAX, TAXRATE, CONTACT' +
  ', LASTINVOICEDATE ) VALUES ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)';
  Self.bdpInsertCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpInsertCommand1.Connection := Self.BdpConnection1;
  Self.bdpInsertCommand1.ParameterCount := (SmallInt(13));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AX', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.SchemaName := nil;
  Self.bdpInsertCommand1.Transaction := nil;
  Self.bdpInsertCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpUpdateCommand1
  // 
  Self.bdpUpdateCommand1.CommandOptions := nil;
  Self.bdpUpdateCommand1.CommandText := 'UPDATE CUSTOMER SET CUSTNO = ?, COM' +
  'PANY = ?, ADDR1 = ?, ADDR2 = ?, CITY = ?, STATE = ?, ZIP = ?, COUNTRY = ?' +
  ', PHONE = ?, FAX = ?, TAXRATE = ?, CONTACT = ?, LASTINVOICEDATE = ? WHERE' +
  ' CUSTNO = ?';
  Self.bdpUpdateCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpUpdateCommand1.Connection := Self.BdpConnection1;
  Self.bdpUpdateCommand1.ParameterCount := (SmallInt(14));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AX', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.SchemaName := nil;
  Self.bdpUpdateCommand1.Transaction := nil;
  Self.bdpUpdateCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpDeleteCommand1
  // 
  Self.bdpDeleteCommand1.CommandOptions := nil;
  Self.bdpDeleteCommand1.CommandText := 'DELETE FROM CUSTOMER WHERE CUSTNO =' +
  ' ?';
  Self.bdpDeleteCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpDeleteCommand1.Connection := Self.BdpConnection1;
  Self.bdpDeleteCommand1.ParameterCount := (SmallInt(1));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.SchemaName := nil;
  Self.bdpDeleteCommand1.Transaction := nil;
  Self.bdpDeleteCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // BdpDataAdapter1
  // 
  Self.BdpDataAdapter1.Active := True;
  Self.BdpDataAdapter1.DataSet := Self.dsCustomer;
  Self.BdpDataAdapter1.DataTable := Self.DataTable3;
  Self.BdpDataAdapter1.DeleteCommand := Self.bdpDeleteCommand1;
  Self.BdpDataAdapter1.InsertCommand := Self.bdpInsertCommand1;
  Self.BdpDataAdapter1.SelectCommand := Self.bdpSelectCommand1;
  Self.BdpDataAdapter1.StartRecord := 0;
  Self.BdpDataAdapter1.UpdateCommand := Self.bdpUpdateCommand1;
  // 
  // dsCustomer
  // 
  Self.dsCustomer.DataSetName := 'NewDataSet';
  Self.dsCustomer.Locale := System.Globalization.CultureInfo.Create('fr-FR');
  Self.dsCustomer.Tables.AddRange(TArrayOfSystem_Data_DataTable.Create(Self.DataTable3));
  // 
  // DataTable3
  // 
  Self.DataTable3.Columns.AddRange(TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn27, 
          Self.DataColumn28, Self.DataColumn29, Self.DataColumn30, Self.DataColumn31, 
          Self.DataColumn32, Self.DataColumn33, Self.DataColumn34, Self.DataColumn35, 
          Self.DataColumn36, Self.DataColumn37, Self.DataColumn38, Self.DataColumn39));
  Self.DataTable3.TableName := 'CUSTOMER';
  // 
  // DataColumn27
  // 
  Self.DataColumn27.ColumnName := 'CUSTNO';
  Self.DataColumn27.DataType := TypeOf(System.Double);
  // 
  // DataColumn28
  // 
  Self.DataColumn28.ColumnName := 'COMPANY';
  // 
  // DataColumn29
  // 
  Self.DataColumn29.ColumnName := 'ADDR1';
  // 
  // DataColumn30
  // 
  Self.DataColumn30.ColumnName := 'ADDR2';
  // 
  // DataColumn31
  // 
  Self.DataColumn31.ColumnName := 'CITY';
  // 
  // DataColumn32
  // 
  Self.DataColumn32.ColumnName := 'STATE';
  // 
  // DataColumn33
  // 
  Self.DataColumn33.ColumnName := 'ZIP';
  // 
  // DataColumn34
  // 
  Self.DataColumn34.ColumnName := 'COUNTRY';
  // 
  // DataColumn35
  // 
  Self.DataColumn35.ColumnName := 'PHONE';
  // 
  // DataColumn36
  // 
  Self.DataColumn36.ColumnName := 'FAX';
  // 
  // DataColumn37
  // 
  Self.DataColumn37.ColumnName := 'TAXRATE';
  Self.DataColumn37.DataType := TypeOf(System.Double);
  // 
  // DataColumn38
  // 
  Self.DataColumn38.ColumnName := 'CONTACT';
  // 
  // DataColumn39
  // 
  Self.DataColumn39.ColumnName := 'LASTINVOICEDATE';
  Self.DataColumn39.DataType := TypeOf(System.DateTime);
  // 
  // DataTable2
  // 
  Self.DataTable2.TableName := 'CUSTOMER';
  // 
  // DataColumn14
  // 
  Self.DataColumn14.ColumnName := 'CUSTNO';
  Self.DataColumn14.DataType := TypeOf(System.Double);
  // 
  // DataColumn15
  // 
  Self.DataColumn15.ColumnName := 'COMPANY';
  // 
  // DataColumn16
  // 
  Self.DataColumn16.ColumnName := 'ADDR1';
  // 
  // DataColumn17
  // 
  Self.DataColumn17.ColumnName := 'ADDR2';
  // 
  // DataColumn18
  // 
  Self.DataColumn18.ColumnName := 'CITY';
  // 
  // DataColumn19
  // 
  Self.DataColumn19.ColumnName := 'STATE';
  // 
  // DataColumn20
  // 
  Self.DataColumn20.ColumnName := 'ZIP';
  // 
  // DataColumn21
  // 
  Self.DataColumn21.ColumnName := 'COUNTRY';
  // 
  // DataColumn22
  // 
  Self.DataColumn22.ColumnName := 'PHONE';
  // 
  // DataColumn23
  // 
  Self.DataColumn23.ColumnName := 'FAX';
  // 
  // DataColumn24
  // 
  Self.DataColumn24.ColumnName := 'TAXRATE';
  Self.DataColumn24.DataType := TypeOf(System.Double);
  // 
  // DataColumn25
  // 
  Self.DataColumn25.ColumnName := 'CONTACT';
  // 
  // DataColumn26
  // 
  Self.DataColumn26.ColumnName := 'LASTINVOICEDATE';
  // 
  // DataTable1
  // 
  Self.DataTable1.TableName := 'CUSTOMER';
  // 
  // DataColumn1
  // 
  Self.DataColumn1.ColumnName := 'CUSTNO';
  Self.DataColumn1.DataType := TypeOf(System.Double);
  // 
  // DataColumn2
  // 
  Self.DataColumn2.ColumnName := 'COMPANY';
  // 
  // DataColumn3
  // 
  Self.DataColumn3.ColumnName := 'ADDR1';
  // 
  // DataColumn4
  // 
  Self.DataColumn4.ColumnName := 'ADDR2';
  // 
  // DataColumn5
  // 
  Self.DataColumn5.ColumnName := 'CITY';
  // 
  // DataColumn6
  // 
  Self.DataColumn6.ColumnName := 'STATE';
  // 
  // DataColumn7
  // 
  Self.DataColumn7.ColumnName := 'ZIP';
  // 
  // DataColumn8
  // 
  Self.DataColumn8.ColumnName := 'COUNTRY';
  // 
  // DataColumn9
  // 
  Self.DataColumn9.ColumnName := 'PHONE';
  // 
  // DataColumn10
  // 
  Self.DataColumn10.ColumnName := 'FAX';
  // 
  // DataColumn11
  // 
  Self.DataColumn11.ColumnName := 'TAXRATE';
  Self.DataColumn11.DataType := TypeOf(System.Double);
  // 
  // DataColumn12
  // 
  Self.DataColumn12.ColumnName := 'CONTACT';
  // 
  // DataColumn13
  // 
  Self.DataColumn13.ColumnName := 'LASTINVOICEDATE';
  // 
  // DBWebDataSource1
  // 
  Self.DBWebDataSource1.AutoRefresh := True;
  Self.DBWebDataSource1.AutoUpdateCache := True;
  Self.DBWebDataSource1.DataSource := Self.dsCustomer;
  Self.DBWebDataSource1.ErrorDlgBackColor := System.Drawing.Color.Azure;
  Self.DBWebDataSource1.ErrorDlgBorderColor := System.Drawing.Color.Red;
  Self.DBWebDataSource1.ErrorDlgForeColor := System.Drawing.Color.Black;
  Include(Self.Load, Self.Page_Load);
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.dsCustomer)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable3)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DBWebDataSource1)).EndInit;
end;
{$ENDREGION}

procedure TWebForm1.Page_Load(sender: System.Object; e: System.EventArgs);
begin
  // TODO: Placer ici du code utilisateur pour initialiser la page
end;

procedure TWebForm1.OnInit(e: EventArgs);
begin
  //
  // Obligatoire pour la gestion du concepteur
  //
  InitializeComponent;
  inherited OnInit(e);
end;



end.

