{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit LoginUC;

interface

uses System.Data, System.Drawing, System.Web, System.Web.UI,
     System.Web.UI.WebControls, System.Web.UI.HtmlControls;
     
type
    /// <summary>
    /// Rsum de la description de WebUserControl1.
    /// </summary>
  TWebUserControl1 = class(System.Web.UI.UserControl)
  {$REGION 'Code manag du concepteur'}
  strict private
    procedure InitializeComponent;
    procedure btnLogin_Click(sender: System.Object; e: System.EventArgs);
  {$ENDREGION}
  strict private
    procedure Page_Load(sender: System.Object; e: System.EventArgs);
  strict protected
    Panel1: System.Web.UI.WebControls.Panel;
    Panel2: System.Web.UI.WebControls.Panel;
    Label1: System.Web.UI.WebControls.Label;
    lpseudo: System.Web.UI.WebControls.Label;
    lmdp: System.Web.UI.WebControls.Label;
    txtpseudo: System.Web.UI.WebControls.TextBox;
    txtmdp: System.Web.UI.WebControls.TextBox;
    cbrappel: System.Web.UI.WebControls.CheckBox;
    btnLogin: System.Web.UI.WebControls.Button;
    HyperLink1: System.Web.UI.WebControls.HyperLink;
    procedure OnInit(e: System.EventArgs); override;
  private
    { Dclarations prives }
    procedure DoLogin(Pseudo,Pw:string;recallme:boolean);
  public
    { Dclarations publiques }
  end;

implementation

procedure TWebUserControl1.Page_Load(sender: System.Object; e: System.EventArgs);
begin
  // TODO: Placer ici du code utilisateur pour initialiser la page
end;

procedure TWebUserControl1.OnInit(e: System.EventArgs);
begin
  //
  // Obligatoire pour la gestion du concepteur
  //
  InitializeComponent;
  inherited OnInit(e);
end;

{$REGION 'Code manag du concepteur'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWebUserControl1.InitializeComponent;
begin
  Include(Self.btnLogin.Click, Self.btnLogin_Click);
  Include(Self.Load, Self.Page_Load);
end;
{$ENDREGION}


procedure TWebUserControl1.DoLogin(Pseudo, Pw: string; recallme: boolean);
begin
 // contrle du login, cela se ferait rellement via une base de donnes
 if ((Pseudo='olivier') and (Pw='delphi')) or
    ((Pseudo='guest')   and (Pw='guest')) then begin
     session['PSEUDO']:= txtpseudo.Text;
     session['LOGGED']:= True.ToString;
     session['RECALL']:= recallme.ToString;
    end else session['LOGGED']:= False.ToString;
end;

procedure TWebUserControl1.btnLogin_Click(sender: System.Object; e: System.EventArgs);
begin
  DoLogin(txtpseudo.Text,txtmdp.Text,cbrappel.Checked);
end;

end.
